Login engine error

Hi everybody,

I am new to rails.

I get the following error when run the rake engine:migrate for the
engine login_engine.


gbalaji:~/projects/test/vendor/plugins/login_engine gopalbalaji$ rake
engine_migrate ENGINE=log --trace
(in /Users/gopalbalaji/Projects/test)
** Invoke engine_migrate (first_time)
** Invoke db:migrate:engines (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
no such file to load – authenticated_user
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require__' /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:inrequire’
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in
require' /Users/gopalbalaji/Projects/test/config/../vendor/plugins/login_engine/init_engine.rb:6:instart_engine’
/Users/gopalbalaji/Projects/test/config/…/vendor/plugins/engines/lib/engines.rb:183:in
start_engine' /Users/gopalbalaji/Projects/test/config/../vendor/plugins/engines/lib/engines.rb:132:instart’
/Users/gopalbalaji/Projects/test/config/…/vendor/plugins/engines/lib/engines.rb:131:in
start' /Users/gopalbalaji/Projects/test/config/../config/environment.rb:61 /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:inrequire’
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in
require' /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.2/lib/tasks/misc.rake:3 /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:inexecute’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:in
execute' /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:357:ininvoke’
/usr/local/lib/ruby/1.8/thread.rb:135:in synchronize' /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:ininvoke’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:364:in
invoke_prerequisites' /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:ineach’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in
invoke_prerequisites' /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:356:ininvoke’
/usr/local/lib/ruby/1.8/thread.rb:135:in synchronize' /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:ininvoke’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:364:in
invoke_prerequisites' /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:ineach’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in
invoke_prerequisites' /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:356:ininvoke’
/usr/local/lib/ruby/1.8/thread.rb:135:in synchronize' /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:ininvoke’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:in run' /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:inrun’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/bin/rake:7
/usr/local/bin/rake:18
gbalaji:~/projects/test/vendor/plugins/login_engine gopalbalaji$

can i know whts the problem with my rake command.

Thanx
g.balaji

See mymessage to group rail list should help;)

Clayton C. wrote:

See mymessage to group rail list should help;)

Thanx a log Clayton C. for your kind help.It works.

I got error in creating rake rdoc…

if you have any solution please send me.

g.balaji

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs